Skip to main content
POST
/
v1
/
agents
/
run
Agent Run
curl --request POST \
  --url https://sdk.nimbleway.com/v1/agents/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent": "amazon_pdp",
  "params": {
    "asin": "B0DLKFK6LR"
  }
}
'
{
  "url": "https://www.example.com/",
  "task_id": "e8ed8ef6-2657-43ba-98d5-a5c79ea7b551",
  "status": "success",
  "status_code": 200,
  "data": {
    "html": "...",
    "markdown": "MARKDOWN",
    "parsing": {},
    "cookies": {},
    "screenshot": "iVBORw0KGgoAAAANSUhEUgAAA...",
    "fetch_request": [],
    "network_capture": [],
    "browser_actions": [],
    "headers": {}
  },
  "metadata": {
    "query_time": "2026-02-09T10:26:05.817Z",
    "query_duration": 1877,
    "response_parameters": {
      "input_url": "https://www.example.com/"
    },
    "driver": "vx8",
    "agent": "agent_name"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body model for the /agent/run endpoint

agent
string
required

The agent's name to execute

Example:

"google_search"

params
object
required

The agent's input parameters, for example query, prodcut_id, etc. Depands on the agent used.

Example:
{
"query": "What happened last night in the NBA?"
}
localization
boolean

Controls if localization sould be enabled (default false). Some agent support localization based on zip_code or store_id on the site it self. Relevant only when agent is supporting localization

Response

Successful Response

url
string<uri>
required

The URL that was extracted

task_id
string<uuid>
required

Unique identifier for the extraction task

status
enum<string>
required

Status of the extraction

Available options:
success,
failed
status_code
integer
required

HTTP status code from the target website

data
object
required

Data from the extraction

metadata
object
required

Metadata from the extraction

warnings
string[]

List of warnings